Open a confirmation modal by clicking on an element

```js
<OpenModal
  confirmAction={() => alert('Confirm')}
  title="Are you sure?"
  confirmText="Delete"
  modalKey="123"
>
  {showModal => (
    <ActionLink icon="trash" onClick={showModal}>
      Delete
    </ActionLink>
  )}
</OpenModal>
```

Pass a custon component as the modal content.

```js
const Custom = () => <div>inside the modal</div>;

<OpenModal
  confirmAction={() => alert('Confirm')}
  title="Are you sure?"
  confirmText="Delete"
  content={Custom}
  modalKey="123"
>
  {showModal => (
    <Tag onClick={showModal}>CUSTOM</Tag>
  )}
</OpenModal>
```
